# Interface PVectorStorageIntegral4Type<T>

Type Parameters:
  `T` - A phantom type parameter

All Superinterfaces:
  `PVectorReadable2LType<T>, PVectorReadable3LType<T>, PVectorReadable4LType<T>, PVectorStorageIntegral2Type<T>, PVectorStorageIntegral3Type<T>, VectorReadable2LType, VectorReadable3LType, VectorReadable4LType, VectorStorageIntegral2Type, VectorStorageIntegral3Type, VectorStorageIntegral4Type, VectorStorageType`

All Known Subinterfaces:
  `PVectorByteBufferedIntegral4Type<T>`

All Known Implementing Classes:
  `PVectorByteBufferedIntegral4s16, PVectorByteBufferedIntegral4s32, PVectorByteBufferedIntegral4s64, PVectorByteBufferedIntegral4s8, PVectorMutable4L`

public interface PVectorStorageIntegral4Type<T> extends PVectorReadable4LType<T>, PVectorStorageIntegral3Type<T>, VectorStorageIntegral4Type
The type of mutable 4D integral number vectors.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default void`
  `setPVector4I(PVector4I<T> v)`
  Set the components from the given vector.
  `default void`
  `setPVector4L(PVector4L<T> v)`
  Set the components from the given vector.

  ### Methods inherited from interface PVectorStorageIntegral2Type

  `setPVector2I, setPVector2L`

  ### Methods inherited from interface PVectorStorageIntegral3Type

  `setPVector3I, setPVector3L`

  ### Methods inherited from interface VectorReadable2LType

  `x, y`

  ### Methods inherited from interface VectorReadable3LType

  `z`

  ### Methods inherited from interface VectorReadable4LType

  `w`

  ### Methods inherited from interface VectorStorageIntegral2Type

  `setVector2I, setVector2L, setX, setXY, setY`

  ### Methods inherited from interface VectorStorageIntegral3Type

  `setVector3I, setVector3L, setXYZ, setZ`

  ### Methods inherited from interface VectorStorageIntegral4Type

  `setVector4I, setVector4L, setW, setXYZW`

- ## Method Details

  - ### setPVector4L

    default void setPVector4L(PVector4L<T> v)
    Set the components from the given vector.
    Parameters:
      `v` - The source vector

  - ### setPVector4I

    default void setPVector4I(PVector4I<T> v)
    Set the components from the given vector.
    Parameters:
      `v` - The source vector